GET
/smart-transfers/preauthorizationsList preauthorizations
Recovers all created preauthorizations
Parameters
Query Parameters
| Name | Type |
|---|---|
pageSize | number (double) |
page | number (double) |
Responses
200Retrieve a list of all preauthorizations
object
pagenumber (double)
totalnumber (double)
totalPagesnumber (double)
resultsobject[]
List of preauthorizations
itemsobject
Smart transfer preauthorization
Example response
json
{
"page": 1,
"total": 1,
"totalPages": 1,
"results": [
{
"id": "db97ad98-5b8f-4027-a248-6e112a73ced8",
"createdAt": "2020-06-24T21:29:40.300Z",
"updatedAt": "2020-06-24T21:29:40.300Z",
"status": "CREATED",
"consentUrl": "https://consenturl.com",
"clientPreauthorizationId": null,
"callbackUrls": null,
"recipients": [
{
"type": "BANK_ACCOUNT",
"id": "7b110544-dfcf-406a-bab7-b14f14e2d0c7",
"name": "John Doe",
"taxNumber": "22222222222",
"isDefault": false,
"paymentInstitution": {
"id": "abfd2a88-bc7b-407f-9fcc-395548ee6840",
"name": "Banco XP S.A.",
"tradeName": "BCO XP S.A.",
"ispb": "33264668",
"compe": "348",
"createdAt": "2023-12-08T17:52:21.001Z",
"updatedAt": "2023-12-08T17:52:21.001Z"
},
"account": {
"type": "CHECKING_ACCOUNT",
"number": "1111111",
"branch": "0001"
},
"pixKey": null,
"createdAt": "2024-07-31T15:55:47.886Z",
"updatedAt": "2024-07-31T15:56:23.123Z"
}
],
"connector": {
"id": 612,
"name": "Nubank",
"primaryColor": "8a0fbe",
"institutionUrl": "https://nuapp.nubank.com.br/open-banking/logo.svg",
"country": "BR",
"type": "PERSONAL_BANK",
"credentials": [
{
"validation": "^\\d{3}\\.?\\d{3}\\.?\\d{3}-?\\d{2}$",
"validationMessage": "CPF deve ter 11 números.",
"label": "CPF",
"name": "cpf",
"type": "number",
"placeholder": "",
"optional": false
}
],
"imageUrl": "https://cdn.pluggy.ai/assets/connector-icons/212.svg",
"hasMFA": false,
"oauth": true,
"health": {
"status": "ONLINE",
"stage": null
},
"products": [
"ACCOUNTS",
"TRANSACTIONS",
"IDENTITY",
"CREDIT_CARDS",
"PAYMENT_DATA",
"LOANS",
"INVESTMENTS"
],
"createdAt": "2023-09-01T18:05:09.145Z",
"isSandbox": false,
"isOpenFinance": true,
"updatedAt": "2024-07-31T15:33:57.512Z",
"supportsPaymentInitiation": true,
"supportsScheduledPayments": true,
"supportsSmartTransfers": true,
"supportsBoletoManagement": true,
"supportsAutomaticPix": true
}
}
]
}curl -X GET \
'https://api.pluggy.ai/smart-transfers/preauthorizations' \
-H 'Content-Type: application/json' \
-H 'X-API-KEY: YOUR_API_KEY'Sample response
{
"page": 1,
"total": 1,
"totalPages": 1,
"results": [
{
"id": "db97ad98-5b8f-4027-a248-6e112a73ced8",
"createdAt": "2020-06-24T21:29:40.300Z",
"updatedAt": "2020-06-24T21:29:40.300Z",
"status": "CREATED",
"consentUrl": "https://consenturl.com",
"clientPreauthorizationId": null,
"callbackUrls": null,
"recipients": [
{
"type": "BANK_ACCOUNT",
"id": "7b110544-dfcf-406a-bab7-b14f14e2d0c7",
"name": "John Doe",
"taxNumber": "22222222222",
"isDefault": false,
"paymentInstitution": {
"id": "abfd2a88-bc7b-407f-9fcc-395548ee6840",
"name": "Banco XP S.A.",
"tradeName": "BCO XP S.A.",
"ispb": "33264668",
"compe": "348",
"createdAt": "2023-12-08T17:52:21.001Z",
"updatedAt": "2023-12-08T17:52:21.001Z"
},
"account": {
"type": "CHECKING_ACCOUNT",
"number": "1111111",
"branch": "0001"
},
"pixKey": null,
"createdAt": "2024-07-31T15:55:47.886Z",
"updatedAt": "2024-07-31T15:56:23.123Z"
}
],
"connector": {
"id": 612,
"name": "Nubank",
"primaryColor": "8a0fbe",
"institutionUrl": "https://nuapp.nubank.com.br/open-banking/logo.svg",
"country": "BR",
"type": "PERSONAL_BANK",
"credentials": [
{
"validation": "^\\d{3}\\.?\\d{3}\\.?\\d{3}-?\\d{2}$",
"validationMessage": "CPF deve ter 11 números.",
"label": "CPF",
"name": "cpf",
"type": "number",
"placeholder": "",
"optional": false
}
],
"imageUrl": "https://cdn.pluggy.ai/assets/connector-icons/212.svg",
"hasMFA": false,
"oauth": true,
"health": {
"status": "ONLINE",
"stage": null
},
"products": [
"ACCOUNTS",
"TRANSACTIONS",
"IDENTITY",
"CREDIT_CARDS",
"PAYMENT_DATA",
"LOANS",
"INVESTMENTS"
],
"createdAt": "2023-09-01T18:05:09.145Z",
"isSandbox": false,
"isOpenFinance": true,
"updatedAt": "2024-07-31T15:33:57.512Z",
"supportsPaymentInitiation": true,
"supportsScheduledPayments": true,
"supportsSmartTransfers": true,
"supportsBoletoManagement": true,
"supportsAutomaticPix": true
}
}
]
}